summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorAustin S. Hemmelgarn <austin@netdata.cloud>2020-07-13 07:25:18 -0400
committerGitHub <noreply@github.com>2020-07-13 07:25:18 -0400
commit690fbcefd3ae0cbc858870ad64d320f6f251e5fc (patch)
treec9be5ba7b2b8e60133ef2d1e423b0105d029313c
parent012130d592e3d732c6edcf275ee118c0dcd9fc3e (diff)
Properly include eBPF collector in binary packages. (#9450)
-rwxr-xr-xcontrib/debian/rules5
-rw-r--r--netdata.spec.in1
-rwxr-xr-xpackaging/bundle-dashboard.sh6
-rwxr-xr-xpackaging/bundle-ebpf.sh14
4 files changed, 23 insertions, 3 deletions
diff --git a/contrib/debian/rules b/contrib/debian/rules
index 97bee36280..d1039ae514 100755
--- a/contrib/debian/rules
+++ b/contrib/debian/rules
@@ -76,6 +76,8 @@ override_dh_install:
ln -s "/usr/share/netdata/www/$$D" "$(TOP)/var/lib/netdata/www/$$D"; \
done
+ packaging/bundle-ebpf.sh . ${TOP}/usr/libexec/netdata/plugins.d
+
# Install go
#
debian/install_go.sh $$(cat ${CURDIR}/packaging/go.d.version) $(TOP)/usr/lib/netdata $(TOP)/usr/libexec/netdata
@@ -93,6 +95,9 @@ override_dh_installdocs:
--target $(TOP)/usr/share/doc/netdata/ \
{} \;
+override_dh_shlibdeps:
+ dh_shlibdeps -X libnetdata_ebpf
+
override_dh_fixperms:
dh_fixperms
diff --git a/netdata.spec.in b/netdata.spec.in
index 633f76ab29..b2ac913616 100644
--- a/netdata.spec.in
+++ b/netdata.spec.in
@@ -412,6 +412,7 @@ install_go
install -m 0640 -p go.d.plugin "${RPM_BUILD_ROOT}%{_libexecdir}/%{name}/plugins.d/go.d.plugin"
${RPM_BUILD_DIR}/%{name}-%{version}/packaging/bundle-dashboard.sh ${RPM_BUILD_DIR}/%{name}-%{version} ${RPM_BUILD_ROOT}%{_datadir}/%{name}/web
+${RPM_BUILD_DIR}/%{name}-%{version}/packaging/bundle-ebpf.sh ${RPM_BUILD_DIR}/%{name}-%{version} ${RPM_BUILD_ROOT}%{_libexecdir}/%{name}/plugins.d
%pre
diff --git a/packaging/bundle-dashboard.sh b/packaging/bundle-dashboard.sh
index 8e68ff13fb..9cab084ed2 100755
--- a/packaging/bundle-dashboard.sh
+++ b/packaging/bundle-dashboard.sh
@@ -6,9 +6,9 @@ WEBDIR="${2}"
DASHBOARD_TARBALL="dashboard.tar.gz"
DASHBOARD_VERSION="$(cat "${SRCDIR}/packaging/dashboard.version")"
-mkdir -p "${SRCDIR}/tmp"
+mkdir -p "${SRCDIR}/tmp/dashboard"
curl -sSL --connect-timeout 10 --retry 3 "https://github.com/netdata/dashboard/releases/download/${DASHBOARD_VERSION}/${DASHBOARD_TARBALL}" > "${DASHBOARD_TARBALL}" || exit 1
sha256sum -c "${SRCDIR}/packaging/dashboard.checksums" || exit 1
-tar -xzf "${DASHBOARD_TARBALL}" -C "${SRCDIR}/tmp" || exit 1
+tar -xzf "${DASHBOARD_TARBALL}" -C "${SRCDIR}/tmp/dashboard" || exit 1
# shellcheck disable=SC2046
-cp -a $(find "${SRCDIR}/tmp/build" -mindepth 1 -maxdepth 1) "${WEBDIR}"
+cp -a $(find "${SRCDIR}/tmp/dashboard/build" -mindepth 1 -maxdepth 1) "${WEBDIR}"
diff --git a/packaging/bundle-ebpf.sh b/packaging/bundle-ebpf.sh
new file mode 100755
index 0000000000..5792490878
--- /dev/null
+++ b/packaging/bundle-ebpf.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+SRCDIR="${1}"
+PLUGINDIR="${2}"
+
+EBPF_VERSION="$(cat "${SRCDIR}/packaging/ebpf.version")"
+EBPF_TARBALL="netdata-kernel-collector-glibc-${EBPF_VERSION}.tar.xz"
+
+mkdir -p "${SRCDIR}/tmp/ebpf"
+curl -sSL --connect-timeout 10 --retry 3 "https://github.com/netdata/kernel-collector/releases/download/${EBPF_VERSION}/${EBPF_TARBALL}" > "${EBPF_TARBALL}" || exit 1
+sha256sum -c --ignore-missing "${SRCDIR}/packaging/ebpf.checksums" || exit 1
+tar -xaf "${EBPF_TARBALL}" -C "${SRCDIR}/tmp/ebpf" || exit 1
+# shellcheck disable=SC2046
+cp -a $(find "${SRCDIR}/tmp/ebpf" -mindepth 1 -maxdepth 1) "${PLUGINDIR}"